commit:     fece8024491332148bb4bc7150389950747f441e
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 18 00:29:12 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Dec 18 00:51:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fece8024

dev-php/pecl-http: bump to v3.2.0

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-php/pecl-http/Manifest               |  1 +
 dev-php/pecl-http/pecl-http-3.2.0.ebuild | 76 ++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-php/pecl-http/Manifest b/dev-php/pecl-http/Manifest
index d48ddbd2f18..a065727cc7c 100644
--- a/dev-php/pecl-http/Manifest
+++ b/dev-php/pecl-http/Manifest
@@ -1,2 +1,3 @@
 DIST pecl_http-2.6.0.tgz 217673 BLAKE2B 
a7147924cfc018c3e273d85666d9792ea614955d0aa20ac43171266d91d139dccdbf2472dec4d145b798ce99a541dba48f7bed6009fbdf2a7ad81ab322963788
 SHA512 
12d18049411a4133008449a1e7458a3055322dc337f421e0e2be126ec965f15b0189af6fccd9ca4537c48819c763b9e020906ac6d09d87ead92f4436fac595ad
 DIST pecl_http-3.1.0.tgz 214166 BLAKE2B 
2f84fc9f5f7d465142e3482a9ee46b9dd80dd2b5ec58ad1d8d4fb18a665ebe70e4f872b8915c3a84484a3b1cd0709b39bf6170c6f1c6175aef7d43bac44aa3df
 SHA512 
1c272aa476106bb61848f175f0ba6715b3d8928f70cdac1a673cc87c2dc780dff5434a3bc595d5e8a1ef7b847a1d2e214f9e9ae80b8b5d1f80a299febc85b0ea
+DIST pecl_http-3.2.0.tgz 218829 BLAKE2B 
bbd6f9fe8afb4324d928496e1fbcdd455e8bff5e45312ba65e5e9263719b098763203de055ea8a8ff6202ae4a434d37db25bb0975faacc956af4a0c6e8bfe8a1
 SHA512 
59738ee52370c68f7e74349d52738da845cfb83ae27b51a2caf3b048ba0b37c897702d7f5f8e0517df5612fd2e904d02e8e24c9e649a9e7cfdcdc04e9d19b113

diff --git a/dev-php/pecl-http/pecl-http-3.2.0.ebuild 
b/dev-php/pecl-http/pecl-http-3.2.0.ebuild
new file mode 100644
index 00000000000..e10f0ddf53c
--- /dev/null
+++ b/dev-php/pecl-http/pecl-http-3.2.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PHP_EXT_NAME="http"
+PHP_EXT_PECL_PKG="pecl_http"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+PHP_INI_NAME="50-http"
+
+USE_PHP="php5-6 php7-0 php7-1 php7-2 php7-3"
+
+inherit php-ext-pecl-r3
+
+USE_PHP="php7-0 php7-1 php7-2 php7-3"
+
+KEYWORDS="~amd64 ~x86"
+
+DESCRIPTION="Extended HTTP Support for PHP"
+LICENSE="BSD-2 MIT"
+SLOT="7"
+IUSE="ssl curl_ssl_gnutls curl_ssl_libressl curl_ssl_nss +curl_ssl_openssl"
+
+DEPEND="app-arch/brotli:=
+       dev-libs/libevent
+       
dev-php/pecl-propro:7[php_targets_php5-6?,php_targets_php7-0?,php_targets_php7-1?,php_targets_php7-2?]
+       
dev-php/pecl-raphf:7[php_targets_php5-6?,php_targets_php7-0?,php_targets_php7-1?,php_targets_php7-2?]
+       net-dns/libidn2
+       sys-libs/zlib
+       ssl? ( 
net-misc/curl[ssl,curl_ssl_gnutls=,curl_ssl_libressl=,curl_ssl_nss=,curl_ssl_openssl=]
 )
+       !ssl? ( net-misc/curl[-ssl] )
+       php_targets_php7-0? ( dev-lang/php:7.0[hash,session,iconv] )
+       php_targets_php7-1? ( dev-lang/php:7.1[hash,session,iconv] )
+       php_targets_php7-2? ( dev-lang/php:7.2[hash,session,iconv] )
+       php_targets_php7-3? ( dev-lang/php:7.3[hash,session,iconv] )"
+RDEPEND="${DEPEND}
+       php_targets_php5-6? ( dev-php/pecl-http:2[php_targets_php5-6] )"
+
+PHP_EXT_ECONF_ARGS=( --with-http --without-http-shared-deps 
--without-http-libidn-dir )
+
+src_prepare() {
+       if use php_targets_php7-0 || use php_targets_php7-1 || use 
php_targets_php7-2 || use php_targets_php7-3 ; then
+               php-ext-source-r3_src_prepare
+       else
+               default_src_prepare
+       fi
+}
+
+src_install() {
+       if use php_targets_php7-0 || use php_targets_php7-1 || use 
php_targets_php7-2 || use php_targets_php7-3 ; then
+               php-ext-pecl-r3_src_install
+       fi
+}
+
+src_test() {
+       # Cannot use eclass function due to required modules
+       # All tests SKIP otherwise
+       for slot in $(php_get_slots); do
+               php_init_slot_env "${slot}"
+               # Link in required modules for testing
+               ln -s "${EXT_DIR}/propro.so" "modules/propro.so" || die
+               ln -s "${EXT_DIR}/raphf.so" "modules/raphf.so" || die
+               sed -i \
+                       
's/PHP_TEST_SHARED_EXTENSIONS)/PHP_TEST_SHARED_EXTENSIONS) -d 
extension=propro.so -d extension=raphf.so/' \
+                       Makefile || die
+               NO_INTERACTION="yes" emake test
+               # Clean up testing links
+               rm modules/propro.so modules/raphf.so || die
+       done
+}
+
+pkg_postinst() {
+       ewarn "This API has drastically changed and is not compatible with the 
1.x syntax."
+       ewarn "Please review the documentation and update your code."
+}

Reply via email to